import type * as T from 'win32-def/types';
import type { DefGdi32 } from './api.def.js';
export declare class Gdi32 implements T.LibDef2Type<typeof DefGdi32> {
    /**
     * Creates a bitmap compatible with the device that is associated with the specified device context.
     * @link https://learn.microsoft.com/en-us/windows/win32/api/wingdi/nf-wingdi-createcompatiblebitmap
     */
    CreateCompatibleBitmap: (hdc: T.HDC, cx: T.INT, cy: T.INT) => T.HBITMAP;
    /** https://learn.microsoft.com/en-us/windows/win32/api/wingdi/nf-wingdi-createcompatibledc */
    CreateCompatibleDC: (hdc: T.HDC) => T.HDC;
}
//# sourceMappingURL=api.types.d.ts.map