import * as D from 'win32-def/def';
import { DefUser32_F } from './EF.def.js';
export declare class DefUser32_G extends DefUser32_F {
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getancestor */
    static GetAncestor: (D.Def.uint32 | D.Def.uint64 | (D.Def.uint | D.Def.uint32 | D.Def.uint64)[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getalttabinfow */
    static GetAltTabInfoW: (D.Def.int32 | string[])[];
    /**
     * Copies the caret's position to the specified POINT structure.
     * @link https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getcaretpos
     */
    static GetCaretPos: (D.Def.int32 | string[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getclassinfoexw */
    static GetClassInfoExW: readonly [D.Def.int32, readonly [D.Def.uint32 | D.Def.uint64, readonly ["str16"], "_Out_ WNDCLASSEXW*"]];
    /** https://learn.microsoft.com/zh-cn/windows/win32/api/winuser/nf-winuser-getclassnamew */
    static GetClassNameW: (D.Def.int | (D.Def.int | D.Def.uint32 | D.Def.uint64 | D.Def.uint16Ptr)[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getcursorpos */
    static GetCursorPos: (D.Def.int32 | string[])[];
    /** https://learn.microsoft.com/zh-cn/windows/win32/api/winuser/nf-winuser-getclasslongptrw */
    static GetClassLongPtrW: (D.Def.int32 | D.Def.int64 | (D.Def.int | D.Def.uint32 | D.Def.uint64)[])[];
    static GetForegroundWindow: (D.Def.uint32 | D.Def.uint64 | never[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getmessagew */
    static GetMessageW: (D.Def.int32 | string[])[];
    static GetParent: (D.Def.uint32 | D.Def.uint64 | (D.Def.uint32 | D.Def.uint64)[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getrawinputdata */
    static GetRawInputData: (D.Def.uint | string[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getrawinputdeviceinfow */
    static GetRawInputDeviceInfoW: (D.Def.uint | string[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getrawinputdevicelist */
    static GetRawInputDeviceList: (D.Def.int | string[])[];
    static GetTopWindow: (D.Def.uint32 | D.Def.uint64 | (D.Def.uint32 | D.Def.uint64)[])[];
    static GetWindow: (D.Def.uint32 | D.Def.uint64 | (D.Def.uint | D.Def.uint32 | D.Def.uint64)[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getwindowinfo */
    static GetWindowInfo: (D.Def.int32 | string[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getwindowlongw */
    static GetWindowLongW: (D.Def.long | (D.Def.int | D.Def.uint32 | D.Def.uint64)[])[];
    /** only under x64 */
    static GetWindowLongPtrW: (D.Def.int32 | D.Def.int64 | (D.Def.int | D.Def.uint32 | D.Def.uint64)[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getwindowrect */
    static GetWindowRect: (D.Def.int32 | string[])[];
    /** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getwindowtextw */
    static GetWindowTextW: (D.Def.int | (D.Def.int | D.Def.uint32 | D.Def.uint64 | D.Def.uint16Ptr)[])[];
    static GetWindowThreadProcessId: (D.Def.uint32 | (D.Def.uint32 | D.Def.uint64 | D.Def.uint16Ptr)[])[];
}
//# sourceMappingURL=G.def.d.ts.map