export class Winspool {
    /**
     * @docs https://docs.microsoft.com/en-us/windows/win32/printdocs/closeprinter
     */
    ClosePrinter;
    /**
     * @docs https://docs.microsoft.com/en-us/windows/win32/printdocs/enddocprinter
     */
    EndDocPrinter;
    EndPagePrinter;
    /**
     * Enumerates available printers, print servers, domains, or print providers.
     * using `Level` to determine the type of `pPrinterEnum`
     * @link https://learn.microsoft.com/en-us/windows/win32/printdocs/enumprinters
     */
    EnumPrintersW;
    /**
     * Enumerates available printers, print servers, domains, or print providers.
     * using `Level` to determine the type of `pPrinterEnum`
     * @link https://learn.microsoft.com/en-us/windows/win32/printdocs/enumprinters
     * @description Asynchronous version of EnumPrintersW only for generic type `Level`
     */
    EnumPrintersW_Async;
    /**
     * Enumerates the print processors installed on the specified server.
     * @docs https://learn.microsoft.com/en-us/windows/win32/printdocs/enumprintprocessors
     */
    EnumPrintProcessorsW;
    /**
     * Enumerates the data types that a specified print processor supports.
     * @link https://learn.microsoft.com/en-us/windows/win32/printdocs/enumprintprocessordatatypes
     */
    EnumPrintProcessorDatatypesW;
    /** https://learn.microsoft.com/en-us/windows/win32/printdocs/getdefaultprinter */
    GetDefaultPrinterW;
    /**
     * Retrieves information about a specified print job
     * @param pJob JOB_INFO_1 or a JOB_INFO_2
     * @docs https://learn.microsoft.com/en-us/windows/win32/printdocs/getjob
     */
    GetJobW;
    /**
     * Retrieves information about a specified printer.
     * @docs https://learn.microsoft.com/en-us/windows/win32/printdocs/getprinter
     * @docs https://learn.microsoft.com/zh-cn/windows/win32/printdocs/getprinter
     */
    GetPrinterW;
    /**
     * Retrieves information about a specified printer.
     * @docs https://learn.microsoft.com/en-us/windows/win32/printdocs/getprinter
     * @docs https://learn.microsoft.com/zh-cn/windows/win32/printdocs/getprinter
     */
    GetPrinterW_Async;
    /**
     * Retrieves a handle to the specified printer or print server or other types of handles in the print subsystem.
     * @link https://leran.microsoft.com/en-us/windows/win32/printdocs/openprinter
     * @link https://leran.microsoft.com/zh-cn/windows/win32/printdocs/openprinter
     */
    OpenPrinterW;
    /**
     * Notifies the print spooler that a document is to be spooled for printing.
     * @param pDocInfo A pointer to a DOC_INFO_1 structure that describes the document to print.
     * @link https://learn.microsoft.com/en-us/windows/win32/printdocs/startdocprinter
     */
    StartDocPrinterW;
    /**
     * Notifies the spooler that a page is about to be printed on the specified printer.
     * @link https://learn.microsoft.com/zh-cn/windows/win32/printdocs/startpageprinter
     */
    StartPagePrinter;
    /**
     * Notifies the print spooler that data should be written to the specified printer.
     * @note Only supports GDI printing and must not be used for XPS printing
     * @link https://learn.microsoft.com/zh-cn/windows/win32/printdocs/writeprinter
     */
    WritePrinter;
}
/* c8 ignore stop */
//# sourceMappingURL=api.types.js.map