import type { LibUser32 } from '../../lib/user32/index.js';
declare const fnAsyncName: keyof LibUser32;
type FnType = LibUser32[typeof fnAsyncName];
type ParamType = Parameters<FnType>;
/**
 * Retrieves a handle to a window whose class name and window name match the specified strings.
 * The function searches child windows, beginning with the one following the specified child window.
 * This function does not perform a case-sensitive search.
 * @link https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-getwindowtextw
 *
 * 检索其类名和窗口名称与指定字符串匹配的窗口的句柄。 函数搜索子窗口，从指定子窗口后面的子窗口开始。 此函数不执行区分大小写的搜索。
 * @link https://learn.microsoft.com/zh-cn/windows/win32/api/winuser/nf-winuser-getwindowtextw
 */
export declare function GetWindowText(hWnd: ParamType[0], nMaxCount: ParamType[2]): Promise<string>;
export {};
//# sourceMappingURL=GetWindowText.d.ts.map