/* c8 ignore start */
import assert from 'node:assert';
import { load } from '../../lib/user32/index.js';
const fnName = 'MessageBoxExW';
const fnAsyncName = 'MessageBoxExW_Async';
/** https://learn.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-messageboxexw */
export async function MessageBox(options) {
    const { hWnd, lpText, lpCaption, uType, wLanguageId } = options;
    const lib = load([fnName]);
    const fn = lib[fnAsyncName];
    assert(typeof fn === 'function', `Function "${fnAsyncName}" not found`);
    const res = await fn(hWnd, lpText, lpCaption, uType, wLanguageId);
    return res;
}
/* c8 ignore stop */
//# sourceMappingURL=MessageBox.js.map